xquery version "3.1";

module namespace ut="http://bdn-edition.de/ns/upload-triggers";

declare namespace trigger = "http://exist-db.org/xquery/trigger";

import module namespace tgconnect="https://sade.textgrid.de/ns/connect" at "../textgrid/connect.xqm";


declare function trigger:before-create-document($uri as xs:anyURI)
{
    util:log("debug", "CALLED trigger:before-create-document on " || $uri)
};


declare function trigger:after-create-document($uri as xs:anyURI)
{
    util:log("debug", "CALLED trigger:after-create-document on " || $uri),
    tgconnect:prerender($uri)
};


declare function trigger:before-update-document($uri as xs:anyURI)
{
    util:log("debug", "CALLED trigger:before-update-document on " || $uri)
};


declare function trigger:after-update-document($uri as xs:anyURI)
{
    util:log("debug", "trigger:after-update-document on " || $uri),
    tgconnect:prerender($uri)
};
